com.microfocus.awm.meta.interfaces

## Interface RFileAttribute

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RFileAttributeImpl

      public interface RFileAttribute
      extends AWMObject

  A representation of the model object 'RFile Attribute'. If the file descriptor is defined as a structured data, the file attribute represent an attribute of an item in the structure.

  The following features are supported:

  - `Target ID`
  - `ID`
  - `Static Value`
  - `Type`
  - `Mandatory`
  See Also:
    `TaurusPackage.getRFileAttribute()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
    `java.lang.String` | `getStaticValue()` Returns the value of the 'Static Value' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `EFileAttributeType` | `getType()` Returns the value of the 'Type' attribute.
    `boolean` | `isMandatory()` Returns the value of the 'Mandatory' attribute.
    `boolean` | `isSetMandatory()` Returns whether the value of the '`Mandatory`' attribute is set.
    `boolean` | `isSetTargetID()` Returns whether the value of the '`Target ID`' reference is set.
    `boolean` | `isSetType()` Returns whether the value of the '`Type`' attribute is set.
    `void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
    `void` | `setMandatory(boolean value)` Sets the value of the '`Mandatory`' attribute.
    `void` | `setStaticValue(java.lang.String value)` Sets the value of the '`Static Value`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `setType(EFileAttributeType value)` Sets the value of the '`Type`' attribute.
    `void` | `unsetMandatory()` Unsets the value of the '`Mandatory`' attribute.
    `void` | `unsetTargetID()` Unsets the value of the '`Target ID`' reference.
    `void` | `unsetType()` Unsets the value of the '`Type`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference.

      If the meaning of the 'Target ID' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRFileAttribute_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### unsetTargetID

          void unsetTargetID()

      Unsets the value of the '`Target ID`' reference.
      See Also:
        `isSetTargetID()`, `getTargetID()`, `setTargetID(Property)`

    - #### isSetTargetID

          boolean isSetTargetID()

      Returns whether the value of the '`Target ID`' reference is set.
      Returns:
        whether the value of the 'Target ID' reference is set.
      See Also:
        `unsetTargetID()`, `getTargetID()`, `setTargetID(Property)`

    - #### getID

          java.lang.String getID()

      Returns the value of the 'ID' attribute.

      If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `TaurusPackage.getRFileAttribute_ID()`

    - #### setID

          void setID(java.lang.String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`

    - #### getStaticValue

          java.lang.String getStaticValue()

      Returns the value of the 'Static Value' attribute.

      If the meaning of the 'Static Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Static Value' attribute.
      See Also:
        `setStaticValue(String)`, `TaurusPackage.getRFileAttribute_StaticValue()`

    - #### setStaticValue

          void setStaticValue(java.lang.String value)

      Sets the value of the '`Static Value`' attribute.
      Parameters:
        `value` - the new value of the 'Static Value' attribute.
      See Also:
        `getStaticValue()`

    - #### getType

          EFileAttributeType getType()

      Returns the value of the 'Type' attribute. The default value is `"String"`. The literals are from the enumeration `EFileAttributeType`.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EFileAttributeType`, `setType(EFileAttributeType)`, `TaurusPackage.getRFileAttribute_Type()`

    - #### setType

          void setType(EFileAttributeType value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `EFileAttributeType`, `isSetType()`, `unsetType()`, `getType()`

    - #### unsetType

          void unsetType()

      Unsets the value of the '`Type`' attribute.
      See Also:
        `isSetType()`, `getType()`, `setType(EFileAttributeType)`

    - #### isSetType

          boolean isSetType()

      Returns whether the value of the '`Type`' attribute is set.
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `unsetType()`, `getType()`, `setType(EFileAttributeType)`

    - #### isMandatory

          boolean isMandatory()

      Returns the value of the 'Mandatory' attribute. The default value is `"false"`. Mandatory attributes will cause an exception if no value is available at runtime.
      Returns:
        the value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `setMandatory(boolean)`, `TaurusPackage.getRFileAttribute_Mandatory()`

    - #### setMandatory

          void setMandatory(boolean value)

      Sets the value of the '`Mandatory`' attribute.
      Parameters:
        `value` - the new value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `isMandatory()`

    - #### unsetMandatory

          void unsetMandatory()

      Unsets the value of the '`Mandatory`' attribute.
      See Also:
        `isSetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### isSetMandatory

          boolean isSetMandatory()

      Returns whether the value of the '`Mandatory`' attribute is set.
      Returns:
        whether the value of the 'Mandatory' attribute is set.
      See Also:
        `unsetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.